Copyright: Kiosk Help Issue 1.0


Kiosk Help
Kiosk Help Contents

Introduction

What is The Kiosk?

Getting Started

Using The Kiosk

The Kiosk Sample Files

Start The Kiosk With a Sample HTML File

Run An Application From The Kiosk

Creating Your Own HTML File to be Used by The Kiosk

How To…

Start The Kiosk

Bring The Kiosk To The Front

Send The Kiosk To The Back

Return to The Kiosk's homepage

Reload an HTML page

Add a URL to the Hotlist

Load a URL From the Hotlist

Load a URL from the History List

Close The Kiosk

Run The Kiosk Using Command Line Options

Find More Information On Creating HTML Files

Technical Reference

kiosk.ini settings

Adding a URL to the Right Click Menu

Running The Kiosk as the shell

Contacting JSB


What is The Kiosk
What is The Kiosk ?

The Kiosk from JSB delivers End User Comfortable interfaces that are portable across all Windows platforms. The Kiosk can use any image to give access to corporate information, applications and shared resources, shielding the end user from the technology in Windows.

The Kiosk allows you to choose the user interface that suits your environment. You now have the ability to select personalized intuitive images that mean something to your users, your departments, your company and your marketplace. With The Kiosk, what you see is what you do.

The Kiosk uses a flexible and simple language to define and control the user interface. The HyperText Markup Language (HTML) gained popularity in the World Wide Web for its simplicity and ability to create powerful  interfaces that were limited only by the creators imagination. In the Intranet environment, HTML provides the ideal vehicle for developing end user comfortable interfaces.


Using The Kiosk

If you are using The Kiosk for the first time or you have not configured a sample file, the default HTML file will be loaded.

This file contains hotspots to the various components this MultiView product has to offer. A hotspot is also included to run the Initialize Kiosk Samples utility which allows you to create links to the applications you want to use within the samples.

Click the hotspots on the screen to run a MultiView component.


Starting The Kiosk
Starting The Kiosk using a sample HTML file

1	From the Windows Run command, type or use the Browse button to locate the full path for kiosk.exe followed by the full path and file name of the sample HTML file to be loaded.
For example:
c:\program files\kiosk\kiosk.exe c:\program files\kiosk\samples\sample1\office.htm

2	Click OK.

Tips

The applications which the sample files run must be configured using the Initialize Kiosk Samples utility.

You can also run the samples from the program group by clicking the appropriate sample.

The Kiosk sample files provided are usually located in the samples subdirectory of The Kiosk installation directory.

Only one copy of The Kiosk can be run at a time.


Running an application

1	Using the mouse move the cursor around The Kiosk until it turns into [image] and click.

The application or file assigned to this area of The Kiosk will now be launched and displayed in front of The Kiosk.

Tips

The applications which the sample files run must be configured using the Initialize Kiosk Samples utility.

The area that can be clicked on is also known as a hotspot.

If The Kiosk is at the back, you can still click on a specified area to launch an application.


URL
Uniform Resource Locator is a unique address assigned by the Web to each file it recognizes. An URL enables a file to be located by a Web server which can then be displayed using an appropriate browser.


Bringing The Kiosk to the front

1	On The Kiosk background, press Ctrl and click the left mouse button.


Sending The Kiosk to the back

1	Click the mouse button on the background of The Kiosk.


Returning to The Kiosks homepage
Returning to The Kiosk's homepage

1	Right click on the background of The Kiosk.

2	 From the shortcut menu, click Go to Home Page

Tip

If this shortcut menu option is not available, contact your System Administrator.


Closing The Kiosk

1	Right click on the background of The Kiosk.

2	From the shortcut menu, click Exit.

Tips

You can also press ALT + F4 to exit.

If you cannot exit The Kiosk, contact your System Administrator.


Command line option
Command line options

To use a command line option, use the following format:

kioskpath -command file

Where,

kioskpath is the full path of kiosk.exe.

-command  is a command line option specified below and file is the full path for the HTML file to be loaded.

The following command line options are available:

-noexit	disables the exit options to prevent closing down of The Kiosk.

-user	requests the user to enter the name of a personal HTML file. This file should be located in the default homepage directory.


The Kiosk sample files

The Kiosk is supplied with a set of sample HTML files. The applications that are called by the samples must be configured before the samples can be successfully used. To configure the samples, run the Initialize Kiosk Samples utility from the Kiosk program menu and follow the guidelines provided.

The aim of the samples is to provide you with background information on the content of an HTML file which could be used by The Kiosk.

The sample files may be edited by clicking the Edit Sample item in the program group. Full details on the content of the files are available between the comment markers <!-- and -- > within the HTML file.

The following samples have been included:

Sample 1
The Desktop - An image of a desk containing clickable objects. Each object can run an application.

Sample 2
The Office - A series of office images based around a corridor. On clicking each door, an office is entered.

Sample 3
A Scene - An example of how your Kiosk image could be based on a different subject.


kiosk.ini settings

The following keywords in the kiosk.ini file can be configured to customize the running of The Kiosk.

[Main]

Home Page=homepage directory

Specifies the default directory for The Kiosk homepage to load when The Kiosk is started.

[Kiosk]

User_Name_Required=

Values: TRUE / FALSE

Default: FALSE

If TRUE, the user will be requested for their username. This name will be used with the value of User_Name_Extension to form the file name to be loaded by The Kiosk. This file is the users personal homepage file and should already exist in the directory pointed to by the Home Page Keyword.

User_Name_Extension=

Default: .htm

Specifies the file extension to be used to form the file name of the users personal homepage file.

No_Exit=

Values: TRUE / FALSE

Default: FALSE

If TRUE, the user will be unable to use the close options available within The Kiosk. The default setting allows the user to close The Kiosk and return to Windows. If this option is specified on the command line using the -noexit option, the kiosk.ini setting will be overridden.

Home_Allowed=

Values: TRUE / FALSE

Default: TRUE

If TRUE, the menu item Go to Home Page is included on the right click shortcut menu.

BackForward_Allowed=

Values: TRUE / FALSE

Default: TRUE

If TRUE, the menu items Back and Forward are included on the right click shortcut menu to enable you to view the previous or next URL in the history list.

Hotlist_Allowed=

Values: TRUE / FALSE

Default: TRUE

If TRUE, the menu item Hotlist is included on the right click shortcut menu. You can add the currently displayed URL to the hotlist or load a URL from the list.

History_Allowed=

Values: TRUE / FALSE

Default: TRUE

If TRUE, the menu item History is included on the right click shortcut menu. Any displayed URLs are automatically added to the History list. These URLs can then be reloaded from the list.

You can also configure some of The Kiosk's right click menu commands from the kiosk.ini file.


Running The Kiosk as the shell

1	Edit your system.ini. Make the following change to the Shell= line.
Shell=kiosk.exe

The Kiosk will now run when Windows is started.

Note
If The Kiosk directory is not on your environment path, you must specify the full path for The Kiosk when using Shell=.

You can use the kiosk.ini settings to customize the startup of The Kiosk.


Reloading an HTML page

1	Right click on the background of The Kiosk.

2	 From the shortcut menu, click Reload.

Tip

When a page is being reloaded, you may stop The Kiosk's current action by selecting the Interrupt Current Operation command on the right click menu.


Contacting JSB

Europe, Middle East, Asia

JSB Computer Systems Ltd

Riverside

Mountbatten Way

Congleton

Cheshire

CW12 1DY

UK

USA, Pacific Rim including Australia and New Zealand

JSB Corporation

108 Whispering Pines Drive

Suite 115

Scotts Valley, CA 95066

USA

The following services are also available to find out up-to-the-minute information on JSB products and new releases.

World Wide Web	FTP Server	Bulletin Board Service
http://www.jsb.com	ftp.jsb.com	+44 (0) 1260 296 267
To access the JSB FTP site, use anonymous as the Login name and your email address as the Password, for example: fred@jsb.co.uk.


UK telephone
Sales

Telephone: +44 (0) 1260 296230

Fax: +44 (0) 1260 296201

Email: sales@jsb.co.uk

Technical Support

Telephone: +44 (0) 1260 296299

Fax: +44 (0) 1260) 296298

Email: support@jsb.co.uk


US telephone
Sales

Telephone: +1 (408) 438 8300

Fax: +1 (408) 438 8360

Email: sales@jsb.com

Technical Support

Telephone: +1 (408) 438 8300

Fax: +1 (408) 438 8360

Email: support@jsb.com


Creating your own HTML file
Creating your own HTML file to be used by The Kiosk

In the Sample 4 directory of the samples subdirectory, a skeleton.htm file has been provided to enable you to start building your own Kiosk. Copy this file into your working directory and edit it using a text editor.

Full information is included within the file on the necessary details required to build a successful Kiosk.

You will need to provide details on the following:

-	optionally, provide the file name for the background image used by The Kiosk

-	the file name of the image to be displayed on top of the background (if present) which will contain the application hotspots

-	the coordinates of the hotspots. Use a suitable hotspot editor for example, Frontpage or Map This! To obtain the coordinates.

-	the full path and application name to be called by the hotspots.

Once you have the above requirements prepared, edit your working copy of Sample 4 and follow the guidelines provided within the file.

Tip

You can customize The Kiosk to load your HTML file as the default homepage by setting the homepage keyword in the kiosk.ini file settings.


More information on HTML files
Finding more information on creating HTML files

The following web sites provide more details on the use and development of the HTML language. These sites will be useful once you have built your own Kiosk and would like to find more information on other features that are available in the HTML language.

These sites should be viewed using a suitable web browser.

A Beginners Guide to HTML
http://www.ncsa.uiuc.edu/demoweb/html-primer.html
This is a guide for producing documents in HTML, the markup language used by The Kiosk and the World Wide Web.

HTML Quick Reference
http://kuhttp.cc.ukans.edu/lynx_help/HTML_quick.html
Presents a concise reference guide to HTML, listing the most commonly used elements from Versions 1 and 2 of HTML, and giving a brief description of those elements.

HyperText Markup Language (HTML)
http://www.w3.org/hypertext/WWW/MarkUp/MarkUp.html
Lists technical papers, specifications and reports on how the HTML language is evolving.

You may find the following web authoring tools useful in producing your HTML documents:

Microsoft's Internet Assistant
http://www.microsoft.com/msoffice/msword/internet/ia/

Sausage Software's HotDog
http://www.sausage.com/dogindex.htm

Softquad's HoTMetaL
http://www.sq.com/products/hotmetal/hmp-org.htm

If you know of any other useful web sites, or have a web authoring tool you would recommend, please let us know and we shall add it to this list.


Add a URL to right click menu
Adding a URL to the right click menu

1	Edit the kiosk.ini file.

2	In the [QuickMenu] section, add your URL to the appropriate menu item. For example:
Menu_Title_2=file:///C:\Program Files\kiosk\Initial.Htm

3	Save the kiosk.ini file.

Tips

You can change the name of the menu item. For example change Menu_Title_2 to a new name. _(underscores) will be substituted for a space when the right click menu is displayed.

Any valid URLs may be used to specify the function of menu items.

You may add up to 6 menu items to the right click menu.


Add a URL to the hostlist
Add a URL to the Hotlist

1	From the page you would like to add to the Hotlist, right click on the background of The Kiosk.

2	 From the shortcut menu, click Hotlist.

3	Click Add Current in the Hotlist dialog box.


Load a URL From the Hotlist

1	Right click on the background of The Kiosk.

2	 From the shortcut menu, click Hotlist.

3	Click the URL to be loaded from the list in the Hotlist dialog box and click Go To


Load URL from the history list
Load a URL from the History List

1	Right click on the background of The Kiosk.

2	Click the URL to be loaded and Go To.